class Haendler {
	double preis;
	double kleinRabatt;
	double grossRabatt;
	double gesamtEinnahmen;
	double gesamtEinnahmenOhneRabatte;

	Haendler(double p, double kR, double gR) {
		preis = p;
		kleinRabatt = kR;
		grossRabatt = gR;
		gesamtEinnahmen = 0.0;
		gesamtEinnahmenOhneRabatte = 0.0;
	}

	double kaufen(int menge) {
		double kosten = menge * preis;
		gesamtEinnahmenOhneRabatte += kosten;
		if (menge > 5 && menge <= 10) {
			kosten = kosten / 100.0 * (100.0 - kleinRabatt);
		} else if (menge > 10) {
			kosten = kosten / 100.0 * (100.0 - grossRabatt);
		}
		gesamtEinnahmen += kosten;
		return kosten;
	}

	double liefereGesamteEinnahmen() {
		return gesamtEinnahmen;
	}

	double liefereGesamtGegebeneRabatte() {
		return gesamtEinnahmenOhneRabatte - gesamtEinnahmen;
	}
}

class UE10Aufgabe13 {
	public static void main(String[] args) {
		double preis = 100.0; // Euro
		double kleinRabatt = 10.0; // Prozent
		double grossRabatt = 15.0; // Prozent
		
		// Erzeugen eines Haendlers mit Preis- und
		// Rabattinformationen
		Haendler haendler = new Haendler(preis, kleinRabatt, grossRabatt);
		int anzahlKaeufe = IO.readInt("Anzahl Kaeufe: ");
		for (int i = 0; i < anzahlKaeufe; i++) {
			int menge = IO.readInt("Zu kaufende Menge: ");
			
			// eine bestimmte Menge beim Haendler einkaufen;
			// geliefert werden die jeweiligen Kosten
			double kosten = haendler.kaufen(menge);
			IO.println("Anfallende Kosten: " + kosten);
		}
		
		// Ausgabe der vom Haendler gesamt erzielten Einnahmen
		IO.println("Einnahmen: " + haendler.liefereGesamteEinnahmen());
		
		// Ausgabe der vom Haendler gesamt gewaehrten Rabatte;
		// (also "Rabattverluste")
		IO.println("Rabatte: " + haendler.liefereGesamtGegebeneRabatte());
	}
}
