class Woerterbuch {

	String[] begriffe;
	String[] uebersetzungen;
	int next;

	Woerterbuch(int max) {
		begriffe = new String[max];
		uebersetzungen = new String[max];
		next = 0;
	}

	void einfuegen(String begriff, String uebersetzung) {
		for (int i = 0; i < next; i++) {
			if (this.begriffe[i].equals(begriff)) {
				// ueberschreiben
				uebersetzungen[i] = uebersetzung;
				return;
			}
		}

		// voll
		if (next >= this.begriffe.length) {
			return;
		}

		// neu
		begriffe[next] = begriff;
		uebersetzungen[next] = uebersetzung;
		next++;
	}

	String getUebersetzung(String begriff) {
		for (int i = 0; i < next; i++) {
			if (begriffe[i].equals(begriff)) {
				return uebersetzungen[i];
			}
		}
		return null;
	}
}

public class UE10Aufgabe14 {

	public static void main(String[] args) {
		Woerterbuch buch = new Woerterbuch(100);
		buch.einfuegen("ich", "i");
		buch.einfuegen("du", "you");
		buch.einfuegen("wir", "we");
		buch.einfuegen("ich", "I");
		// ...
		System.out.println(buch.getUebersetzung("ich"));
		System.out.println(buch.getUebersetzung("wir"));

	}

}
