class Kreis {

	double PI = 3.1415;

	double radius;

	Kreis(double r) {
		radius = r;
	}

	void vergroessern(double wert) {
		radius += wert;
	}

	double liefereFlaeche() {
		return radius * radius * PI;
	}
}

// realisiert ein Quadrat mit einem internen die Raender des
// Quadrats berhrenden Kreis
class QuadratMitKreis {

	Kreis kreis;

	double groesse;

	QuadratMitKreis(double g) {
		kreis = new Kreis(g / 2);
		groesse = g;
	}

	void vergroessern(double wert) {
		kreis.vergroessern(wert / 2);
		groesse += wert;
	}

	double liefereFlaeche() {
		return groesse * groesse;
	}

	double liefereFlaecheOhneKreis() {
		return liefereFlaeche() - kreis.liefereFlaeche();
	}
}

public class UE10Aufgabe7 {

	public static void main(String[] args) {
		double groesse = IO.readDouble("Quadratgroesse (> 0.0): ");
		while (groesse <= 0.0) {
			groesse = IO
					.readDouble("Fehlerhafte Eingabe! Quadratgroesse (> 0.0): ");
		}

		QuadratMitKreis quadrat = new QuadratMitKreis(groesse);
		while (quadrat.liefereFlaeche() < 100) {
			IO.println("Quadratflaeche = " + quadrat.liefereFlaeche());
			IO.println("Quadratflaeche ohne Kreis = "
					+ quadrat.liefereFlaecheOhneKreis());
			quadrat.vergroessern(1.0);
		}

	}

}
